package urti;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.io.Serializable;

import javax.swing.JComponent;

public class JBall extends JComponent implements Serializable {

	public static int SIZE = 20;
	private Color color = Color.WHITE;
	private int v = 0;

	public JBall() {
		setPreferredSize(new Dimension(SIZE, SIZE));
	}

	@Override
	protected void paintComponent(Graphics g) {
		super.paintComponent(g);

		g.setColor(color);
		g.fillOval(0, 0, SIZE - 1, SIZE - 1);
		g.setColor(Color.BLACK);
		g.drawOval(0, 0, SIZE - 1, SIZE - 1);
	}

	public Color getColor() {
		return color;
	}

	public void setColor(Color color) {
		this.color = color;
	}

	public int getV() {
		return v;
	}

	public void setV(int v) {
		this.v = v;
	}

}
